Main Page Widgets Namespaces Book

# Pango::Language Class Reference

A Pango::Language is used to represent a language. More...

List of all members.

## Public Methods
| Language (PangoLanguage* gobject, bool make_a_copy=true)
| Language (const Language& other)
Language& | operator= (const Language& other)
| ~Language ()
void | swap (Language& other)
PangoLanguage* | gobj ()
| Provides access to the underlying C instance.
const PangoLanguage* | gobj () const
| Provides access to the underlying C instance.
PangoLanguage* | gobj_copy () const
| Language ()
| Constructs an empty language tag.
| Language (const Glib::ustring& language)
| Constructs a Pango::Language object from a RFC-3066 format language tag.
Glib::ustring | get_string () const
| Gets a RFC-3066 format string representing the given language tag.
bool | matches (const Glib::ustring& range_list) const
| Checks if a language tag matches one of the elements in a list of language ranges.
## Protected Attributes
PangoLanguage* | gobject_
## Related Functions
(Note that these are not member functions.)
void | swap (Language& lhs, Language& rhs)
Pango::Language | wrap (PangoLanguage* object, bool take_copy=false)

## Detailed Description

A Pango::Language is used to represent a language.

## Constructor & Destructor Documentation

Pango::Language::Language | ( | PangoLanguage* | gobject,
|  | bool | make_a_copy = true
| ) | `[explicit]`

Pango::Language::Language | ( | const Language& | other | ) |

Pango::Language::~Language | ( |  | ) |

Pango::Language::Language | ( |  | ) |

| Constructs an empty language tag.

Pango::Language::Language | ( | const Glib::ustring& | language | ) |

| Constructs a Pango::Language object from a RFC-3066 format language tag. This function first canonicalizes the string by converting it to lowercase, mapping '_' to '-', and stripping all characters other than letters and '-'.

## Member Function Documentation

Glib::ustring Pango::Language::get_string | ( |  | ) |

| Gets a RFC-3066 format string representing the given language tag. Returns: A string representing the language tag. An empty string is returned if the language tag is empty.

const PangoLanguage* Pango::Language::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C instance.

PangoLanguage* Pango::Language::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C instance.

PangoLanguage* Pango::Language::gobj_copy | ( |  | ) |

bool Pango::Language::matches | ( | const Glib::ustring& | range_list | ) | const

  | Checks if a language tag matches one of the elements in a list of language ranges. A language tag is considered to match a range in the list if the range is '*', the range is exactly the tag, or the range is a prefix of the tag, and the character after the tag is '-'. Parameters:
  range_list | A list of language ranges, separated by ';' characters. each element must either be '*', or a RFC 3066 language range canonicalized as by pango_language_from_string().
Returns: `true` if a match was found.

Language& Pango::Language::operator= | ( | const Language& | other | ) |

void Pango::Language::swap | ( | Language& | other | ) |

## Friends And Related Function Documentation

void swap | ( | Language& | lhs,
|  | Language& | rhs
| ) | `[related]`

Pango::Language wrap | ( | PangoLanguage* | object,
|  | bool | take_copy = false
| ) | `[related]`

## Member Data Documentation

PangoLanguage* Pango::Language::gobject_`[protected]`

The documentation for this class was generated from the following file:

- language.h